package raft

type NodeStore map[string]*NodeStoreInfo

type NodeStoreInfo struct {
	IpManagement string
	Alive        bool
	Scoring      int
}

type DomainStore struct {
	Config  string `json:"config"`
	State   int    `json:"state"`
	Migrate bool   `json:"Migrate"`
}

type SchemaDomain struct {
	Config string `json:"config"`
	State  int    `json:"state"`
}

// Metrics
type DomainUsage struct {
	DomID string
	Usage float64
}
